Summary: Free OpenGL implementation.
Name: Mesa
Version: 3.0
Release: 4
Group: Libraries
Copyright: LGPL
Url: http://www.mesa3d.org/
Packager: Hao Li <hli@wag.caltech.edu>
Source0: MesaLib-%{version}.tar.gz
Source1: MesaDemos-%{version}.tar.gz
Source2: asm_386.S
Source3: copypix.c
Source4: get.c
Source5: pixel.c
Source6: teximage.c 
Buildroot: /var/tmp/%{name}-root

%description
Mesa is a 3-D graphics library with an API which
is very similar to that of OpenGL*, to the extent
that Mesa utilizes the OpenGL command syntax or
state machine. It is being used with authorization
from Silicon Graphics, Inc.  However, the author
makes no claim that Mesa is in any way a compatible
replacement for OpenGL or associated with Silicon
Graphics, Inc. Those who want a licensed
implementation of OpenGL should contact a licensed
vendor.  This software is distributed under the terms
of the GNU Library General Public License, see the
LICENSE file for details.

* OpenGL(R) is a registered trademark of Silicon
Graphics, Inc.


%package devel
Summary: Static libraries and header files for Mesa
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
The static libraries and header files for Mesa.


%package demos
Summary: Mesa Demos
Group: Development/Libraries
Requires: %{name} = %{version}

%description demos
Demonstration programs for the Mesa libraries.


%prep
%setup -q -n Mesa-3.0 -b 1
# Patches from Mesa ftp site...
cp -f %{SOURCE2} %{SOURCE3} %{SOURCE4} %{SOURCE5} %{SOURCE6} src


%build
make linux-386-elf
make clean
make linux-386


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr
cp -a lib include $RPM_BUILD_ROOT/usr
mkdir $RPM_BUILD_ROOT/usr/lib/Mesa
cp -a Make-config demos xdemos book samples util $RPM_BUILD_ROOT/usr/lib/Mesa


%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%defattr (-,root,root)
%doc CONFORM FUTURE IAFA-PACKAGE LICENSE README README.X11
%doc RELNOTES VERSIONS
/usr/lib/*.so.*

%files devel
%defattr (-,root,root)
/usr/include/GL
/usr/lib/*.so
/usr/lib/*.a

%files demos
%defattr (-,root,root)
/usr/lib/Mesa


%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Fri Feb 5 1999 Hao Li <hli@wag.caltech.edu>
- Upgraded to 3.0-4.
  Fixed the group name of Mesa-demos; Updated URL; 
* Fri Nov 6 1998 Hao Li <hli@wag.caltech.edu>
- Mesa-3.0-3 is based on Mesa-3.0-2 by Fryguy_ <fryguy@falehope.co>,
  which already included all (5) patches up to Nov. 6, 1998 in 
    ftp://iris.ssec.wisc.edu/pub/Mesa/patches_to_3.0/src
  Note that other patches, including 
  Mesa-3.0-w32-static-fixes.tar.gz, ggimesa-3.0.diff.gz, and src-glut/
  are not relevant to this build and thus are not included.

- Last Mesa RPM distrubution Mesa-2.6-2 is devided into 5 packages:
  Mesa, Mesa-devel, Mesa-demos, Mesa-glut and Mesa-glut-devel.
  Sources are from MesaLib-2.6.tar.gz and MesaDemos-2.6.tar.gz.

  I feel there is no need to devide between Mesa and Mesa-glut, and similarly
  between Mesa-devel and Mesa-glut-devel, although glut stuff were originally
  packed in MesaDemos-<version>.tar.gz by the original author. 
  Therefore I pack 3.0-3 into three packages: Mesa, Mesa-devel and Mesa-demos,
  with Mesa and Mesa-devel containing stuff from both MesaLib and MesaDemos.

  When necessary (which means glut bundled with Mesa deviates too much from 
  official glut distribution at http://reality.sgi.com/opengl/glut3/glut3.html)
  we can remove glut from here and remake glut and glut-devel RPM's using
  official sources.
